双色球选连码的技巧:PentestBox下载、安装、使用教程

连码四七靠三活猜生肖 www.dvwa8.cn PentestBox是一款Windows平台下预配置的便携式开源渗透测试环境,它也是很多黑客常用的工具之一,更甚者有人称它为Windows渗透利器。

PentestBox这里集成的大都是Linux下的工具,Kali Linux上面的常用的很多工具这里面也都集成了。它打包了所有的安全工具,并且可以在Windows系统中原生地运行,有效地降低了对虚拟机或者双启动环境的需求。

 

一、PentestBox下载

这里提供两个版本的 PentestBox,一款安装了 Metasploit,另一款没有安装。

 

PentestBox下载地址https://sourceforge.net/projects/pentestbox/

安装有Metasploit的PentestBox下载地址https://sourceforge.net/projects/pentestbox-Metasploit/

 

二、PentestBox安装

由于Windows平台安装方法都很简单,我们这里主要以“安装有Metasploit的PentestBox”为例子简单讲一下。

注意:在安装和使用“安装有 Metasploit 的 PentestBox” 时请关闭杀毒软件和防火墙。默认释放安装在 C:/PentestBox/,请不要做任何修改以保证功能完整。

 

1、双击下载的文件“PentestBox-with-Metasploit-v2.2.exe”;

 

2、选择安装位置,点击“Extract"按钮;PentestBox安装位置

 

3、出现以下界面,说明正在安装过程中,什么都不管,只需要耐心等待它自己安装完成即可!

下图中的"Pause"是安装中止的意思,我们不需要理会它。PentestBox

 

三、PentestBox使用详解

我们在使用PentestBox前,需要先对PentestBox做一个基本的了解,否则怎么能懂如何运用它呢?

 

1、PentestBox文件结构

PentestBox共5个文件夹,2个库文件,一个bat批处理和一个exe启动程序。bat和exe都可以启动PentestBox。PentestBox文件结构

 

base文件夹:里面放了一些工具需要用到的环境变量文件,如:ruby、python 、jdk等。

base文件夹

 

bin文件夹:里面是一些渗透工具,基本上足够满足日常的渗透测试要求了!

PentestBox渗透测试工具

 

2、PentestBox启动

bat和exe都可以启动PentestBox,启动成功后效果如下图:

PentestBox启动

 

3、PentestBox下的“渗透测试”工具启动,由于PentestBox各个分类的工具太多了,我就以Nmap 为主给大家示例一下是如何启动的?其实操作也很简单,你需要用什么工具,只需要直接在cmd.exe命令窗口输入命令即可!如下:PentestBox nmap

 

注意:

1、如果你出现执行某些命令却出现类似于PentestBox‘msfconsole’ 不是内部或外部命令,也不是可运行的程序或批处理文件,请查看“//www.dvwa8.cn/pentestbox/msfconsole-3.html”寻找解决办法。

 

2、如果你运行sqlmap却出现“[CRITICAL] incompatible Python version detected ('3.7.0'). For successfully running sqlmap you'll have to use version 2.6 or 2.7 (visit '//www.python.org/download/')”请查看“//www.dvwa8.cn/python/2-2.html”寻找解决办法。

 

总结:

由于PentestBox渗透测试工具很多,也很全面,里面各个工具的用法我就不多说了,渗透测试工具几乎都是相通的,一通百通。

 


 

注意一:由于现在都是以Metasploit Framework 5.0版本为主,因此,你在PentestBox下面再来启动“msfconsole"命令是启动不了的,就算你按照上面的教程复制一份新安装Metasploit Framework到PentestBox\bin目录下,这样操作也是不行的,同样会提示如下错误:

Bundler could not find compatible versions for gem "backports":
  In Gemfile:
    metasploit-framework x86-mingw32 was resolved to 5.0.0, which depends on
      backports x86-mingw32

Could not find gem 'backports x86-mingw32', which is required by gem 'metasploit-framework x86-mingw32', in any of the sources.

backports x86-mingw32

有很多人会问,难道我想在PentestBox下面用Metasploit Framework就用不了吗?

不是的,只是你不能用Metasploit Framework5.0以上的版本,包括5.0,你完全可以复制一份安装的Metasploit Framework4.0版本到“PentestBox\bin”目录下,这样就可以解决了。

或者说我的Metasploit Framework5.0不以PentestBox的方式来启动,直接以bat的方式来启动也是可以的。我只是把Metasploit Framework5.0放在“PentestBox\bin”这个路径下而已。

    A+
发布日期:2019年03月07日 20:49:31  所属分类:PentestBox
最后更新时间:2019-05-01 09:09:17
评分: (2 票;平均数5.00 ;最高评分 5 ;用户总数2;总得分 10;百分比100.00)
付杰
服务器管理面板/主机控制面板“安装”服务
服务器管理面板/主机控制面板“安装”服务
  • ¥ 9.9元
  • 市场价:49.9元
wp discux 帝国 dedecms phpcms等快速建站
wp discux 帝国 dedecms phpcms等快速建站
  • ¥ 99.9元
  • 市场价:499.9元
免费SSL证书服务 HTTPS申请 安装 配置 支持通配符*
免费SSL证书服务 HTTPS申请 安装 配置 支持通配符*
  • ¥ 199.9元
  • 市场价:20000元
wordpress站群服务 泛解析二级域名 二级目录站群
wordpress站群服务 泛解析二级域名 二级目录站群
  • ¥ 1999.9元
  • 市场价:4800元

发表评论

:?: :razz: :sad: :evil: :!: :smile: :oops: :grin: :eek: :shock: :???: :cool: :lol: :mad: :twisted: :roll: :wink: :idea: :arrow: :neutral: :cry: :mrgreen: